
Smart Proxy - Bug #26594

[E] Could not fetch capabilities: hostname "localhost" does not match the server certificate

04/11/2019 03:27 PM - Evgeni Golov

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

on current (2019-04-11) nightly, when refreshing the features of a proxy, I see "[E] Could not fetch capabilities: hostname "localhost"

does not match the server certificate" in /var/log/foreman-proxy/proxy.log

This surely does not smell right? :)

History

#1 - 04/11/2019 03:44 PM - Ewoud Kohl van Wijngaarden

Pretty sure that's from smart_proxy_pulp where Pulp 3: 

https://github.com/theforeman/smart_proxy_pulp/blob/3e4494cd745eb4822e178e079fdff2444cf8ec61/lib/smart_proxy_pulp_plugin/pulp3_client.rb#L1

6-L22

Should be safe, but it's a sign we need to expand puppet-foreman_proxy to handle the pulp3 config file as well so we can disable the plugin by

default.

#2 - 04/17/2019 05:49 PM - Samir Jha

- Project changed from Katello to Smart Proxy

#3 - 06/06/2019 02:31 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

By default we now disable the pulp3 plugin in the installer and it's also not part of the proxy itself so closing this.
